Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr
Class JCRCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.cms.Command
              org.jboss.portal.cms.impl.jcr.JCRCommand

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AsyncStoreArchiveCommand, ContentCreateCommand, ContentCreateNewVersionCommand, ContentGetCommand, ContentGetVersionsCommand, CopyCommand, DeleteCommand, FileCreateCommand, FileGetCommand, FileGetListCommand, FileUpdateAndVersionCommand, FileUpdateCommand, FolderCreateCommand, FolderGetCommand, FolderGetListCommand, FolderUpdateCommand, GetArchiveCommand, ItemExistsCommand, JCRCompositeCommand, MakeLiveVersionCommand, MoveCommand, RenameCommand, SearchCommand, StoreArchiveCommand

    public abstract class JCRCommand

extends Command
implements java.io.Serializable

Interface for executing operations.

Author:
  Roy Russo, Thomas Heute
See Also:
  Serialized Form

Field Summary
`protected JCRCommandContext` | `context`
`static java.lang.String` | `JCR_COMMANDFATORY_ATTRIBUTE`
`static java.lang.String` | `JCR_LOCALE_ATTRIBUTE`
`static java.lang.String` | `JCR_SESSION_ATTRIBUTE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`JCRCommand()`

Method Summary
`abstract java.lang.Object` | `execute()`
`InvocationContext` | `getContext()` Return the invocation context or throw IllegalStateException.
`void` | `setContext(JCRCommandContext context)`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JCR_SESSION_ATTRIBUTE

    public static java.lang.String JCR_SESSION_ATTRIBUTE

### JCR_COMMANDFATORY_ATTRIBUTE

    public static java.lang.String JCR_COMMANDFATORY_ATTRIBUTE

### JCR_LOCALE_ATTRIBUTE

    public static java.lang.String JCR_LOCALE_ATTRIBUTE

### context

    protected JCRCommandContext context

Constructor Detail

### JCRCommand

    public JCRCommand()

Method Detail

### getContext

    public InvocationContext getContext()

  Description copied from class: `Invocation`
  Return the invocation context or throw IllegalStateException.

  Specified by:
    `getContext` in class `Invocation`
  Returns:
    the invocation context

### setContext

    public void setContext(JCRCommandContext context)

### execute

    public abstract java.lang.Object execute()
                                      throws CMSException

  Throws:
    `CMSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD